package com.example.tests.advancedintents;

import java.util.Iterator;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		EditText et = (EditText)findViewById(R.id.editText1);
		
		// Get the intent that started this activity
	    Intent intent = getIntent();
	    if (intent==null)
	    	Toast.makeText(this, "Intent is null", Toast.LENGTH_LONG).show();
	    else
	    	et.setText(intent.toString());

	    String intentType = intent.getType();
	    // Figure out what to do based on the intent type
	    if (intentType !=null && intentType.equals("text/plain")) {
	        Bundle extras = intent.getExtras();
	        et.append("\n---\n"+extras.toString()+"\n---\n");
	        Iterator<String> it = (Iterator<String>)extras.keySet().iterator();
	        while (it.hasNext()){
	        	String key = it.next();
	        	et.append("Key: " + key +"\nVal: " +extras.getString(key) + "\n\n");
	        }
	    }
	    
	    // et.append(intent.getStringExtra(android.content.Intent.EXTRA_TEXT));
		
	}

	public void doSomething(View view){
		finish();
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
